package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.WarehouseAreaDto;
import com.junmp.jyzb.api.bean.query.WarehouseAreaReq;
import com.junmp.jyzb.api.bean.req.UpdateWarehouseAreaReq;
import com.junmp.jyzb.entity.WarehouseArea;

import java.util.List;

public interface WarehouseAreaService extends IService<WarehouseArea> {

    boolean addArea(UpdateWarehouseAreaReq msg);

    boolean updateArea(UpdateWarehouseAreaReq msg);

    boolean deleteArea(UpdateWarehouseAreaReq msg);

    List<WarehouseAreaDto> getAreaList(WarehouseAreaReq msg);
}
